Assign User

Assign a NORMAL or ACCOUNTADMIN user to an account.

This method allows you to assign a NORMAL or ACCOUNTADMIN user to an account in Saner Server. Users will be assigned to respective organizations based on their account. Organization admin cannot be assigned to an account, if tried, error response is returned. It requires user Id and account name.

KeyMeaningMandatoryData Type
userUser ID to be assigned to an account.Yesstring
accountAccount name to which the user should be assigned.Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Account.assignUser(
    user="[email protected]",
    account="DemoAcc"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json